//Example of vector and matrix operations
//For ADMB short course 2, August 2007
//Created by B. Linton

DATA_SECTION
  init_vector a(1,4)  //vector a
  init_vector b(1,4)  //vector b
  init_matrix C(1,3,1,3)  //matrix C
  init_matrix D(1,3,1,3)  //matrix D 

PARAMETER_SECTION
//Must have one active parameter for ADMB to run
  init_number dummy  //not used in this example
//Must have objective function value for ADMB to run
  objective_function_value f  //not used in this example

PROCEDURE_SECTION
//Matrix transpose
  cout << "c transposed" << endl;
  cout << trans(C) << endl;

//Vector multiplicaiton
  cout << "a*b= " << a*b << endl;
//Elementwise vector multiplicaiton
  cout << "elem_prod(a,b)= " << elem_prod(a,b) << endl;

  cout << " " << endl;

//Matrix multiplicaiton
  cout << "C*D= " << endl; 
  cout << C*D << endl;
//Elementwise vector multiplicaiton
  cout << "elem_prod(C,D)= " << endl,
  cout << elem_prod(C,D) << endl;
  
  exit(0);

