//Control program for statistical catch-at-age analysis with simulated data
//For ADMB Short Course 2, August 2006
//Created by B. Linton

DATA_SECTION
//Need data section for ADMB to run

PARAMETER_SECTION
//Need one active parameter for model to run
  init_number dummy
//Need objective function value for model to compile
  objective_function_value fake

PRELIMINARY_CALCS_SECTION
//Run simulate.exe to create catch.dat
  system("simulate");

//Run catch.exe to fit model to simulated data
  system("catch");

//Exit before ADMB attempts to estimate dummy parameter
  exit(0);

PROCEDURE_SECTION
//Need procedure section for ADMB to run

